package ct;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.Servlet;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import optimtowers_www_wf.Optimtowers_www_wf; 

import com.mathworks.toolbox.javabuilder.MWArray;
import com.mathworks.toolbox.javabuilder.MWClassID;
import com.mathworks.toolbox.javabuilder.MWException;
import com.mathworks.toolbox.javabuilder.MWJavaObjectRef;
import com.mathworks.toolbox.javabuilder.MWNumericArray;
import com.mathworks.toolbox.javabuilder.webfigures.WebFigure;
import com.mathworks.toolbox.javabuilder.webfigures.WebFigureHtmlGenerator;



/**
 * Servlet implementation class CellTowerServlet
 */
public class CellTowerServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	private Optimtowers_www_wf cTower = null;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public CellTowerServlet() {
		super();
		try {
			cTower = new Optimtowers_www_wf();
		} catch (MWException e) {
			e.printStackTrace();
		}
	}

	/**
	 * @see Servlet#destroy()
	 */
	public void destroy() {
		super.destroy();
		cTower.dispose();
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		/*
		 * Get the parameters and convert them to MWArray
		 */
		Object[] params = new MWArray[5];
		Object[] result = new Object[1];

		params[0] = new MWNumericArray(Integer.parseInt(request
				.getParameter("towers")), MWClassID.DOUBLE);
		params[1] = new MWNumericArray(Integer.parseInt(request
				.getParameter("side")), MWClassID.DOUBLE);
		params[2] = new MWNumericArray(Integer.parseInt(request
				.getParameter("seed")), MWClassID.DOUBLE);

		params[3] = new MWNumericArray(Integer.parseInt("576"), MWClassID.DOUBLE);
		params[4] = new MWNumericArray(Integer.parseInt("768"), MWClassID.DOUBLE);


		 /* Calculate the tower positions. The resulting WebFigure is stored in
		 * the result array (of type Object[]), in the first position
		 */
		try {
			cTower.optimtowers_www_wf(result, params);
			WebFigure webFig = (WebFigure) ((MWJavaObjectRef) result[0]).get();
			// Attach to application cache
			request.getSession().getServletContext().setAttribute(
					"GlobalFigure", webFig);

			WebFigureHtmlGenerator htmlGen = new WebFigureHtmlGenerator(request);

			response.setContentType("text/html");
			PrintWriter pw = response.getWriter();
			pw.write(htmlGen.getFigureEmbedString(
							webFig, 
							"GlobalFigure",
							"application",
							"330",
							"330",
							null));
			pw.close();

		} catch (MWException e) {
			e.printStackTrace();
		}

	}

	
}
